Get User | Orwel Docs
Docs

Get User

Retrieve a specific workspace member by ID

GET https://api.orwel.io/api/v1/users/{id}

Path Parameters

idstringpathrequired

The unique identifier (UUID) of the user

Response

dataobject

The workspace user object

Show User Object
idstring

Unique identifier for the user

emailstring

User's email address

namestring

User's full name

avatarstring

URL to user's avatar image

usernamestring

User's username

languagestring

User's preferred language

created_atstring

ISO 8601 timestamp of user account creation

workspace_rolestring

User's role in the workspace

joined_atstring

ISO 8601 timestamp when user joined the workspace

Request
curl -X GET "https://api.orwel.io/api/v1/users/cc0e8400-e29b-41d4-a716-446655440007" \
  -H "Authorization: Bearer orwel_sk_YOUR_KEY"
Response
{
  "data": {
    "id": "cc0e8400-e29b-41d4-a716-446655440007",
    "email": "john@example.com",
    "name": "John Doe",
    "avatar": "https://example.com/avatar.jpg",
    "username": "johndoe",
    "language": "en",
    "created_at": "2024-06-15T10:30:00Z",
    "workspace_role": "admin",
    "joined_at": "2024-06-15T10:30:00Z"
  }
}